#!/bin/bash

set -e

imgs=$(find distributor-logo/ -iname *.svg)
sizes="16 22 32 48 64 96"
for picture in $imgs; do
    picture_name="$(basename $picture)"
    for s in $sizes; do
        rsvg-convert -f svg -w "$s" -h "$s" -o "Nova/places/$s/$picture_name" "$picture"
        rsvg-convert -f svg -w "$s" -h "$s" -o "Nova-dark/places/$s/$picture_name" "$picture"
    done
done